Ireland Residential
3 min
Verifies input data against data obtained from the partnered Semi Government sources from Ireland.
For Authorization Get Session Token from Authentication page.
Ireland Residential
* Verification Outcome – Returns KYC verification
* Consumer Consent – N/A
* Mandatory Input – Name
* Verifies – Name, DOB, Gender and Address
* Returned Data - N/A
POST
https://idu-test.datazoo.com/api/v2/verify
Header Parameters
- AuthorizationstringrequiredDescription
Body Parameters
- dataobjectrequiredDescription
- countryCodestringrequiredDescription
- servicearrayrequiredDescription
- clientReferencestringDescription
- firstNamestringrequiredDescription
- middleNamestringDescription
- lastNamestringrequiredDescription
- genderstringDescription
- dateOfBirthstringDescription
- addressElement1stringDescription
- addressElement3stringDescription
- addressElement4stringDescription
Response
- countryCodestringDescription
- clientReferencestringDescription
- reportingReferencestringDescription
- validationErrorsstringDescription
- matchStatusstringDescription
- searchErrorMessagestringDescription
- safeHarbourbooleanDescription
- searchStatusstringDescription
- serviceResponsesobjectDescription
- statusintegerDescription
- sourceStatusstringDescription
- errorMessagestringDescription
- identityVerifiedbooleanDescription
- safeHarbourScorestringDescription
- nameMatchScorestringDescription
- addressMatchScorestringDescription
- verificationsobjectDescription
- addressElement1boolean
- addressElement3boolean
- addressElement4boolean
- dateOfBirthboolean
- firstNameboolean
- genderboolean
- lastNameboolean
- middleNameboolean
- returnedDataobjectDescription
- remarksarrayDescription
curl
curl --location 'https://idu-test.datazoo.com/api/v2/verify' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJ0ZXN0IiwiaWF0IjoxNzQzNDYyNDQ4LCJpcGEiOiIzNC4xNTEuMTE3LjI0OSIsInVpZCI6MzAzLCJvaWQiOjYyLCJsaWQiOjU2NjQ2MTUsImV4cCI6MTc0MzQ5MTI0OCwiYXVkIjoiaHR0cHM6Ly9pZHUuZGF0YXpvby5jb20ifQ.D_mGA78PBG_p_wYy-JcKCy28Rk8CX_U0IADn8DeEL8aSw3cnusbiDefJIqE_j74QcKu0IXNNpE-9SoQUSL8fAg' \
--data '{
"countryCode": "IE",
"service": [
"Ireland Residential"
],
"clientReference": "Test_0001",
"firstName": "CLFNAME",
"middleName": "CLMNAME",
"lastName": "CLLNAME",
"gender": "FEMALE",
"dateOfBirth": "1985-01-05",
"addressElement1": "CLADDRESS 1",
"addressElement3": "CLCITY",
"addressElement4": "CLSTATE"
}'200
{
"countryCode": "Ireland",
"clientReference": "Test_0001",
"reportingReference": "DZ-1fdbbbcf-843f-48ef-a6c9-496064238eda",
"matchStatus": "Full Match 1+1 Verification",
"searchErrorMessage": "",
"safeHarbour": false,
"searchStatus": "Successful",
"serviceResponses": {
"Ireland Residential": {
"status": 1,
"sourceStatus": "Successful",
"errorMessage": "",
"identityVerified": true,
"safeHarbourScore": "N1",
"nameMatchScore": "1.000",
"addressMatchScore": "1.000",
"verifications": {
"addressElement1": true,
"addressElement3": true,
"addressElement4": true,
"dateOfBirth": false,
"firstName": true,
"gender": true,
"lastName": true,
"middleName": true
},
"returnedData": {}
}
},
"remarks": []
}404
{
"message": "Ain't no cake like that."
}
Links
Change History
Added
Last updated - 1 April, 2025